Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a PostgreSQL database. You'll need to provide a host, port, identifier, token and scope:

  • host: Specify the hostname or IP address of your PostgreSQL database.

  • port: Specify the port number on which your PostgreSQL database is listening.

  • scope: Enter the name of your PostgreSQL database.

  • identifier: Provide the username associated with your PostgreSQL database.

  • token: Enter the corresponding password for the specified PostgreSQL user.

Notes : To ensure secure access to your PostgreSQL database, it is recommended to whitelist Luzmo's range of IP addresses. You should whitelist Luzmo's range of IP addresses as described here .

Install
composer require luzmo/luzmo-sdk-php
Example Response
200
400
500
{
  "properties": null,
  "date": "2024-08-02T15:18:04.589Z",
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "provider": "postgresql",
  "host": "<your host>",
  "port": "5432",
  "identifier": "<your username>",
  "scope": "<your database>",
  "name": "My postgresql connection",
  "id": "a13d5578-dcae-41bd-9fbd-c465fa9379df",
  "user_id": "abca9830-0dad-4b11-a6d4-23972c124020",
  "updated_at": "2024-08-02T15:18:04.758Z",
  "created_at": "2024-08-02T15:18:04.602Z",
  "expiry": null,
  "description": null,
  "version": null,
  "plugin_id": null,
  "shareable_id": "68b1e376-c866-47e0-b80f-d5506913b962"
}